installed phpmyadmin package post-installation script subprocess returned error exit status 10

Discussion in 'ISPConfig 3 Priority Support' started by pawan, May 2, 2021.

  1. pawan

    pawan Member HowtoForge Supporter

    Ubuntu Server 18.04
    apt-get upgrade
    Code:
    Preparing to unpack .../phpmyadmin_4%3a4.6.6-5ubuntu0.5_all.deb ...
    Determining localhost credentials from /etc/mysql/debian.cnf: succeeded.
    dpkg: warning: old phpmyadmin package pre-removal script subprocess returned error exit status 10
    dpkg: trying script from the new package instead ...
    Determining localhost credentials from /etc/mysql/debian.cnf: succeeded.
    dpkg: error processing archive /var/cache/apt/archives/phpmyadmin_4%3a4.6.6-5ubuntu0.5_all.deb (--unpack):
     new phpmyadmin package pre-removal script subprocess returned error exit status 10
    dbconfig-common: flushing administrative password
    dpkg: error while cleaning up:
     installed phpmyadmin package post-installation script subprocess returned error exit status 10
    dpkg: warning: downgrading libssl1.1:amd64 from 1.1.1j-1+ubuntu18.04.1+deb.sury.org+3 to 1.1.1-1ubuntu2.1~18.04.9
    Preparing to unpack .../libssl1.1_1.1.1-1ubuntu2.1~18.04.9_amd64.deb ...
    Unpacking libssl1.1:amd64 (1.1.1-1ubuntu2.1~18.04.9) over (1.1.1j-1+ubuntu18.04.1+deb.sury.org+3) ...
    dpkg: warning: downgrading openssl from 1.1.1j-1+ubuntu18.04.1+deb.sury.org+3 to 1.1.1-1ubuntu2.1~18.04.9
    Preparing to unpack .../openssl_1.1.1-1ubuntu2.1~18.04.9_amd64.deb ...
    Unpacking openssl (1.1.1-1ubuntu2.1~18.04.9) over (1.1.1j-1+ubuntu18.04.1+deb.sury.org+3) ...
    Errors were encountered while processing:
     /var/cache/apt/archives/phpmyadmin_4%3a4.6.6-5ubuntu0.5_all.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    
    how to fix it?

    I also ran - dpkg -configure -a
    that also throws error in the end:
    Errors were encountered while processing:
    phpmyadmin
     
    Last edited: May 2, 2021
  2. Taleman

    Taleman Well-Known Member HowtoForge Supporter

    What show commands
    Code:
    lsb_release -a
    
    apt policy phpmyadmin
    Have you modified /etc/apt/sources.list? Have you extra files in /etc/apt/sources.list.d/ ?
     

Share This Page